curl --request POST \
--url https://api.stardex.ai/v1/lists/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offset": 0,
"limit": 100,
"sort_by": "created_at",
"sort_order": "desc",
"keywords": "<string>",
"is_archived": false,
"owner_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"is_public": true
}
'import requests
url = "https://api.stardex.ai/v1/lists/search"
payload = {
"offset": 0,
"limit": 100,
"sort_by": "created_at",
"sort_order": "desc",
"keywords": "<string>",
"is_archived": False,
"owner_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"is_public": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
offset: 0,
limit: 100,
sort_by: 'created_at',
sort_order: 'desc',
keywords: '<string>',
is_archived: false,
owner_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
is_public: true
})
};
fetch('https://api.stardex.ai/v1/lists/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "aaa11111-bbbb-cccc-dddd-eeeeeeee1111",
"name": "Engineering Candidates Q2",
"list_type": "persons",
"is_public": true,
"is_archived": false,
"linked_job_id": "fff66666-0000-1111-2222-333333336666",
"linked_person_id": null,
"linked_organization_company_id": null,
"item_count": 42,
"created_by": {
"id": "bbb22222-cccc-dddd-eeee-ffffffff2222",
"first_name": "Jane",
"last_name": "Smith"
},
"owners": [
{
"id": "bbb22222-cccc-dddd-eeee-ffffffff2222",
"first_name": "Jane",
"last_name": "Smith"
}
],
"created_at": "2024-01-15T10:00:00Z",
"updated_at": "2024-05-20T14:30:00Z"
}
],
"meta": {
"total": 100,
"offset": 0,
"limit": 20
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Search lists
Search and filter saved lists with pagination and sorting.
Filters: keywords (name search), list_type, is_archived, owner_ids, is_public.
Sorting: name, created_at, updated_at, item_count.
Returns list metadata with item counts, owners, and creator info.
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Body
Records to skip for pagination. Defaults to 0.
x >= 0Max records to return (1–100). Defaults to 100.
1 <= x <= 100Column to sort by. Accepted values: name, created_at, updated_at, item_count. Defaults to created_at.
name, created_at, updated_at, item_count Sort direction. Defaults to desc (newest first).
asc, desc Search keyword to filter lists by name. Case-insensitive partial match.
Filter by list type: "persons" or "companies". Omit to return all types.
persons, companies When true, return archived lists only. When false (default), return non-archived lists.
Filter to lists owned by these team member UUIDs.
Filter by public/private visibility. Omit to return both.
Was this page helpful?